## vpb-driver 4.2.23

=== src/vpb/Makefile ===
# Voicetronix vpb driver makefile
# Ron Lee, June 2006

CONFIG_VPB ?= m

ifeq ($(strip $(KERNELRELEASE)),)
include ../../Version
endif

VTCORE_SRC = cputime.h

obj-$(CONFIG_VPB) := vpb.o

EXTRA_CFLAGS  := -O2 -mhard-float -DEXPORT_SYMTAB -I$(M)/../libvpb
CFLAGS_echo.o := -O3 -ffloat-store -finline-functions -funroll-all-loops
CFLAGS_vpb.o  := -DVT_VERSION=\"$(VT_VERSION)\"
#EXTRA_LDFLAGS := -d


ifeq ($(strip $(KERNELRELEASE)),)

KSRC  ?= /lib/modules/$(shell uname -r)/build
KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/version.h 2>/dev/null | cut -f 2 -d \" )
ifeq ($(strip $(KVERS)),)
KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
endif
ifeq ($(strip $(KVERS)),)
$(error "No kernel version.  Aborting")
endif

MODULEDIR := $(DESTDIR)/lib/modules/$(KVERS)/kernel/drivers/telephony


all:
	@for f in $(VTCORE_SRC); do					\
	    if [ ! -e $$f ]; then ln -s ../vtcore/$$f .; fi;		\
	done
	$(MAKE) -C $(KSRC) M=$(CURDIR) VT_VERSION=$(version) modules

install:
	mkdir -p $(MODULEDIR)
	@for m in $(obj-m:.o=.ko); do			\
		echo "installing $$m --> $(MODULEDIR)";	\
		install -m 644 $$m $(MODULEDIR);	\
	done
	/sbin/depmod

clean distclean:
	$(RM) *.o *.ko *~ core *.mod.c .*.cmd
	$(RM) -r .tmp_versions Module.symvers
	@for f in $(VTCORE_SRC); do			\
	    if [ -L $$f ]; then $(RM) $$f; fi;		\
	done


.PHONY: all install clean distclean
endif
