=== unittest/OpenPri/Makefile ===
CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

all: targets 

targets: bridging callgen callisdn dialans dialisdn loopback \
	 playdtmf prilog vpbcallasyncisdn vpbcallisdn

clean:   
	rm -f core* *.o bridging callgen callisdn dialans \
	dialisdn loopback playdtmf prilog vpbcallasyncisdn vpbcallisdn
