=== unittest/test/Makefile ===

CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

TARGETS = measgain tload tecsix tcall tdial silence hostvox tcutthru walk

all: $(TARGETS)

clean:   
	$(RM) $(TARGETS) core* *.o
