=== unittest/utils/Makefile ===

CPPFLAGS = -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

all: targets 

targets: filedtmf hostfiletone hostfiletone2 tbusy trim vlog wavtowav

clean:   
	rm -f core* *.o filedtmf hostfiletone hostfiletone2 tbusy trim vlog wavtowav
