## vpb-driver 4.2.38.1

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 # Centos4.3 uses a modified 2.6.9 kernel, with no indication that
 # it is different from the mainstream (or even Centos4.2 2.6.9)
 # kernel, so we must crowbar off the dunce-hat manually here.
-ifeq (0,$(shell grep "CentOS release 4\.[3-4]" /etc/redhat-release > /dev/null 2>&1; echo $$?))
+ifeq (0,$(shell grep "CentOS release 4\.[3-5]\|Red Hat Enterprise Linux ES release 4" \
+                /etc/redhat-release > /dev/null 2>&1; echo $$?))
 EXTRA_CFLAGS+=-DMONGREL_CENTOS4
 endif
