## vpb-driver 4.2.42

=== src/vpb/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
 endif
 ifeq ($(strip $(KVERS)),)
-$(error "No kernel version.  Aborting")
+$(error "No kernel version.  You probably need the distro headers package for your running kernel.")
 endif
 
 MODULEDIR := $(DESTDIR)/lib/modules/$(KVERS)/kernel/drivers/telephony
