## vpb-driver 4.2.47

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -56,6 +56,7 @@
 		install -m 644 $$m $(MODULEDIR);	\
 	done
 	/sbin/depmod
+	@modprobe -r netjet > /dev/null 2>&1 || true
 
 clean distclean:
 	rm -f *.o *.ko *~ core *.mod.c .*.cmd
