## vpb-driver 4.2.52

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # Centos4.3 uses a modified 2.6.9 kernel, with no indication that
 # it is different from the mainstream (or even Centos4.2 2.6.9)
 # kernel, so we must crowbar off the dunce-hat manually here.
-ifeq (0,$(shell grep "CentOS release 4\.[3-7]\|Red Hat Enterprise Linux ES release 4" \
+ifeq (0,$(shell grep "CentOS release 4\.[3-8]\|Red Hat Enterprise Linux ES release 4" \
                 /etc/redhat-release > /dev/null 2>&1; echo $$?))
 EXTRA_CFLAGS+=-DMONGREL_CENTOS4
 endif
