## vpb-driver 4.2.57

=== unittest/Makefile ===
SUBDIRS = test utils cid OpenLog4 OpenPri

all:
	@for d in $(SUBDIRS); do $(MAKE) -C $$d; done

clean:
	@for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done
