=== unittest/cid/Makefile ===
CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

TARGETS = cidtest deccid samcid tcid cidg2test

all: $(TARGETS)

clean:  
	 $(RM) $(TARGETS) core* *.o linear??.wav
