## vpb-driver 4.2.58

=== src/libpri/Makefile ===
#
# libpri: An implementation of Primary Rate ISDN
#
# Written by Mark Spencer <markster@linux-support.net>
#
# Copyright (C) 2001, Linux Support Services, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
#
#
# Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
#ALERTING=-DALERTING_NO_PROGRESS

# Uncomment if you want libpri to count number of Q921/Q931 sent/received
#LIBPRI_COUNTERS=-DLIBPRI_COUNTERS

prefix=/usr

OSARCH=$(shell uname -s)
PROC=$(shell uname -m)

OS_TYPE = __LINUX__

#CC=gcc32

TOBJS=testpri.o
T2OBJS=testprilib.o
STATIC_LIBRARY=libpri.a
DYNAMIC_LIBRARY=libpri.so.1.0.0
STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o
DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo
CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)  -I/etc/wanpipe/api/include -D$(OS_TYPE)


ifeq (${OSARCH},Linux)
LDCONFIG_FLAGS=-n
else
ifeq (${OSARCH},FreeBSD)
LDCONFIG_FLAGS=-m
CFLAGS += -I../zaptel -I../zapata
endif
endif

#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
#This works for even old (2.96) versions of gcc and provides a small boost either way.
#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
ifeq ($(PROC),sparc64)
PROC=ultrasparc
CFLAGS += -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
endif

all: depend $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)


install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	mkdir -p $(DESTDIR)$(prefix)/lib
	mkdir -p $(DESTDIR)$(prefix)/include
	install -m 644 libpri.h $(DESTDIR)$(prefix)/include
	install -m 755 $(DYNAMIC_LIBRARY) $(DESTDIR)$(prefix)/lib
	( cd $(DESTDIR)$(prefix)/lib      \
	  && ln -sf libpri.so.1.0.0 libpri.so \
	  && ln -sf libpri.so.1.0.0 libpri.so.1 )
	install -m 644 $(STATIC_LIBRARY) $(DESTDIR)$(prefix)/lib
	/sbin/ldconfig

#uninstall:
#	@echo "Removing Libpri"
#	rm -f $(DESTDIR)$(prefix)/lib/libpri.so*
#	rm -f $(DESTDIR)$(prefix)/lib/libpri.a
#	rm -f $(DESTDIR)$(prefix)/include/libpri.h

pritest: pritest.o
	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)

pritest-s: pritest-s.o
	$(CC) -o pritest-s pritest-s.o -L. -lpri

testprilib.o: testprilib.c
	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<

testprilib: testprilib.o
	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)

pridump: pridump.o
	$(CC) -o pridump pridump.o -L. -lpri -lzap $(CFLAGS)

include .depend

%.lo : %.c
	$(CC) -fPIC $(CFLAGS) -o $@ -c $<

$(STATIC_LIBRARY): $(STATIC_OBJS)
	ar rcs $(STATIC_LIBRARY) $(STATIC_OBJS)
	ranlib $(STATIC_LIBRARY)

$(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
	$(CC) -shared -Wl,-soname,libpri.so.1 -o $@ $(DYNAMIC_OBJS)
	/sbin/ldconfig $(LDCONFIG_FLAGS) .
	ln -sf libpri.so.1 libpri.so

clean distclean:
	rm -f *.o *.so *.lo *.so.1 *.so.1.0
	rm -f testpri testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	rm -f pritest pridump
	rm -f .depend

depend: .depend

.depend: 
	CC=$(CC) ./mkdep ${CFLAGS} `ls *.c`

.PHONY: all install clean distclean
