## vpb-driver 4.2.59

=== doc/Makefile ===
# Just make it!
all:
	db2html vpb-doc.sgm

clean:
	rm -rf vpb-doc
	rm -rf vpb-doc.junk

dist:
	tar zcvf vpb-doc.tgz vpb-doc
