=== unittest/OpenLog4/Makefile ===
CPPFLAGS = -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

all: targets 

targets:  tv4log

clean:   
	 rm -f tv4log core* *.o
	 rm -f *.wav
