## vpb-driver 4.2.61

=== src/vpb/Makefile ===
--- 
+++ 
@@ -23,6 +23,9 @@
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/version.h 2>/dev/null | cut -f 2 -d \" )
 ifeq ($(strip $(KVERS)),)
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
+endif
+ifeq ($(strip $(KVERS)),)
+KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/generated/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
 endif
 ifeq ($(strip $(KVERS)),)
 $(error "No kernel version.  You probably need the distro headers package for your running kernel.")
