=== src/vtcore/Makefile ===
--- 
+++ 
@@ -9,14 +9,9 @@
 endif
 
 obj-$(CONFIG_VTCORE) := vtcore.o vtopenpci.o vtopenswitch.o
-ifneq ($(ARCH_AMD64),1)
-obj-$(CONFIG_VTCORE) += vtecho_fp.o
-endif
 vtcore-objs          := vtcore_main.o mu-alaw.o
 
-EXTRA_CFLAGS := -O2 -mhard-float -DEXPORT_SYMTAB -DVT_VERSION=\"$(VT_VERSION)\" -I$(M)/../libvpb
-CFLAGS_vtecho_fp.o    := -O3 -ffloat-store -finline-functions -funroll-all-loops
-#EXTRA_LDFLAGS := -d
+EXTRA_CFLAGS := -DVT_VERSION=\"$(VT_VERSION)\" -I$(M)/../libvpb
 
 # Centos4.3 uses a modified 2.6.9 kernel, with no indication that
 # it is different from the mainstream (or even Centos4.2 2.6.9)
