=== unittest/utils/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-CPPFLAGS = -Wall -I../../src/libvpb -I../../src/dsp
+CPPFLAGS = -Wall -I../../include -I../../src/libvpb -I../../src/dsp
 LDFLAGS = -L../../src/libvpb -pthread
 LDLIBS = -lvpb ../kbhit.cpp
