=== debian/changelog ===
vpb-driver (4.2.61-1.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Import package history into Git.
  * Add autopkgtest for the -source package.
  * Fix building twice in a row.  (Closes: #1047374, #1049473)
  * Switch to regular -dbgsym packages.
  * Set Rules-Requires-Root: no.
  * Add missing ${misc:Depends}.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2025 11:32:42 +0100

vpb-driver (4.2.61-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually add patch to series file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Dec 2024 08:12:52 +0100

vpb-driver (4.2.61-1.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ wuruilong <wuruilong@loongson.cn> ]
  * add support for loongarch (Closes: #1056560)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Dec 2024 19:13:18 +0100

vpb-driver (4.2.61-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #1025831)

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 10 Dec 2022 17:49:17 +0800

vpb-driver (4.2.61-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to 3.0 source format (Closes: #1007564)
  * Fix build on current Linux version (Closes: #1005418)

 -- Bastian Germann <bage@debian.org>  Sat, 10 Dec 2022 00:42:50 +0100

vpb-driver (4.2.61-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Use struct proc_ops for proc file operations on Linux 5.6+
    (Closes: #988564)
  * Use ioremap() instead of (formerly equivalent, now removed)
    ioremap_nocache()
  * Pass target kernel version to depmod (Closes: #917865)
  * Only run depmod or modprobe if installing modules to host filesystem

 -- Ben Hutchings <benh@debian.org>  Mon, 17 May 2021 00:36:41 +0200

vpb-driver (4.2.61-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:10:43 +0100

vpb-driver (4.2.61-1) unstable; urgency=medium

  * Use --sort=name, if available, when creating the kernel source tarball.
    For reproducibility we want the files in it deterministically ordered.

 -- Ron Lee <ron@debian.org>  Thu, 05 Apr 2018 05:06:25 +0930

vpb-driver (4.2.60-1) unstable; urgency=medium

  * Minor tweaks for the linux 4.15 kernel.
  * Replace pow10() with exp10(), they are equivalent, except for the bit where
    exp10 got standardised in TS 18661-4:2015 and glibc 2.27 removed pow10.
    Closes: #890671
  * Pass -pthread using the correct modern idiom when building libtoneg.
    Using -lpthread there is wrong with modern toolchains, and breaks cross
    builds when make expands it to a full path for the build arch. #866720
    Closes: #866720
  * Sanitise the umask and mtime of the kernel source tarball, this should let
    this package be build reproducibly now.

 -- Ron Lee <ron@debian.org>  Mon, 02 Apr 2018 04:46:39 +0930

vpb-driver (4.2.59-2) unstable; urgency=medium

  * Conflict/Replace libvpb0.  Closes: #794587
  * This is really just a kludge-around for the fact that we have unversioned
    files installed in the runtime library package, which ordinarily would be
    a Terribly Wrong thing to do, but this code is stable and had a strong
    guarantee that the ABI was never going to be broken and it would never
    need a transition, so for several reasons that was the least worst option
    for nearly 10 years now.  Until gcc-5 broke that promise on us ...
    In this case, we can probably still quite reasonably get away with just
    forcing the old package off the system when it is upgraded, since there is
    a fairly natural limit to how many applications you can have controlling
    your phone lines on a system, and no real user is likely to actually need
    the old and new packages to be co-installable.  Either they'll update to
    the new one, or they won't.  There's no prolonged transition where things
    they might need could still be using the old one.  It's still technically
    wrong though, so kids don't try this at home, but unless gcc starts to
    make a habit of this, it's probably the least disruptive change we can
    impose on users to cope with that transition, and hopefully something we
    won't need to deal with again for at least another ten years.  If we do,
    then we'll reassess where the pros and cons really lay for making more
    intrusive changes to support things that "should have never happened".

 -- Ron Lee <ron@debian.org>  Thu, 06 Aug 2015 00:20:48 +0930

vpb-driver (4.2.59-1) unstable; urgency=medium

  * Updates for gcc-5.  Closes: #791309
  * It makes some changes to libstdc++ which break ABI for us in a few places,
    mostly in symbols using std::basic_string or std::list, so we're going to
    bump the SONAME for this release, even though there is no incompatible
    change to the libvpb source itself.  In theory we could just rename the
    library package - but that would still leave people with out of distro
    applications screwed if they upgrade to the new package without rebuilding
    their own applications.  This way they'll at least fail loudly and early.

 -- Ron Lee <ron@debian.org>  Tue, 04 Aug 2015 04:19:27 +0930

vpb-driver (4.2.58-1) unstable; urgency=low

  * Backport the tweak to OpenPCI interrupt handling.
  * Don't build with -O3 anymore, most of this code doesn't need it,
    and gcc 4.9 appears to do some fun things if we try.

 -- Ron Lee <ron@debian.org>  Mon, 29 Sep 2014 03:31:52 +0930

vpb-driver (4.2.57-1) unstable; urgency=low

  * Updates for kernel 3.10, Closes: #719136
    Disabling hotplug is no longer an option.
    The proc API has changed, create_proc_{,read_}entry no longer exist.
    The asm/system.h header has been disintegrated.

 -- Ron Lee <ron@debian.org>  Sun, 11 Aug 2013 04:58:07 +0930

vpb-driver (4.2.56-1) unstable; urgency=low

  * Tweak the OpenPCI ring validation parameters.


