=== debian/control ===
Source: vpb-driver
Section: comm
Priority: optional
Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 9), po-debconf, bzip2, zlib1g-dev, libpci-dev | pciutils-dev
Build-Depends-Indep: doxygen, graphviz
Rules-Requires-Root: no
Standards-Version: 4.1.3.0
Vcs-Browser: https://salsa.debian.org/debian/vpb-driver
Vcs-Git: https://salsa.debian.org/debian/vpb-driver.git

Package: vpb-driver-source
Section: kernel
Architecture: all
Depends:
 module-assistant,
 debhelper (>> 4.0.0),
 make,
 bzip2,
 ${misc:Depends},
Description: Voicetronix telephony hardware driver source
 This package provides the source code for the Voicetronix kernel modules.
 Kernel source or headers are required to compile these modules.
 .
 To build a binary module package to suit your running kernel, do:
 m-a a-i vpb-driver

Package: vpb-utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Voicetronix telephony hardware userspace tools
 This package provides the userspace support utilities for Voicetronix
 telephony hardware.

Package: libvpb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvpb0
Replaces: libvpb0
Recommends: vpb-driver-source
Suggests: vpb-utils
Description: Voicetronix telephony hardware userspace interface library
 This package provides the userspace support library for Voicetronix telephony
 hardware.

Package: libvpb-dev
Section: libdevel
Architecture: any
Depends:
 libvpb1 (= ${binary:Version}),
 ${misc:Depends},
Description: Voicetronix telephony hardware userspace library development files
 This package provides the necessary headers and library support files for
 building applications that use libvpb.

Package: libvpb-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Suggests: vpb-driver-source, libvpb-dev
Description: Voicetronix telephony interface library documentation
 This package provides the developer documentation for the Voicetronix
 telephony library.
