## vpb-driver 4.2.61-1%2B9.0trisquel2

=== debian/changelog ===
vpb-driver (4.2.61-1+9.0trisquel2) etiona; urgency=medium

  * Move to a supported version for Linux kernel 4.15 trisquel2 ||
    Remove references to nonfree blob, fixes #10980 trisquel1

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2019 20:44:49 +0000
