=== debian/rules ===
--- 
+++ 
@@ -44,20 +44,20 @@
 -include $(MA_DIR)/include/generic.make
 # load default rules, including kdist, kdist_image, ...
 -include $(MA_DIR)/include/common-rules.make
-
+  
 # module assistant calculates all needed things for us and sets
 # following variables:
 # KSRC (kernel source directory), KVERS (kernel version string), KDREV
 # (revision of the Debian kernel-image package), CC (the correct
 # compiler), VERSION (the final package version string), PKGNAME (full
 # package name with KVERS included), DEB_DESTDIR (path to store DEBs)
-
+  
 # The kdist_configure target is called by make-kpkg modules_config and
 # by kdist* rules by dependency. It should configure the module so it is
 # ready for compilation (mostly useful for calling configure).
-# prep-deb-files from module-assistant creates the neccessary debian/ files
+# prep-deb-files from module-assistant creates the neccessary debian/ files 
 kdist_configure: prep-deb-files
-
+  
 # the kdist_clean target is called by make-kpkg modules_clean and from
 # kdist* rules. It is responsible for cleaning up any changes that have
 # been made by the other kdist_commands (except for the .deb files created)
@@ -180,8 +180,6 @@
 	   && tar c $(TAR_OPTS) modules	| bzip2 -9 > $(sname).tar.bz2	\
 	   && rm -rf modules
 
-	dh_install debian/fetch-openline-firmware usr/share/vpb-driver
-	chmod 755 $(CURDIR)/debian/vpb-driver-source/usr/share/vpb-driver/fetch-openline-firmware
 
 install-libvpb: DH_OPTIONS=-plibvpb1
 install-libvpb:
@@ -224,3 +222,6 @@
 	dh_install obj_shared/src/utils/measerl     usr/bin
 	dh_install obj_shared/src/utils/playwav     usr/bin
 	dh_install obj_shared/src/utils/proslicerl  usr/bin
+	dh_install obj_shared/src/utils/raw2wav     usr/bin
+	dh_install obj_shared/src/utils/recwav      usr/bin
+	dh_install obj_shared/src/utils/ringstat    usr/bin
